com.tibbo.aggregate.common.server

## Interface MachineLearningConstants

-     public interface MachineLearningConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABNORMAL`
    `static java.lang.String` | `CV_SET`
    `static java.lang.String` | `DATASET`
    `static java.lang.String` | `F_CROSS_VALIDATE`
    `static java.lang.String` | `F_EVALUATE`
    `static java.lang.String` | `F_OPERATE`
    `static java.lang.String` | `F_RESET`
    `static java.lang.String` | `F_RESET_EVALUATION`
    `static java.lang.String` | `F_TRAIN`
    `static java.lang.String` | `FOF_EVALUATE_CONFUSION_MATRIX`
    `static java.lang.String` | `FOF_EVALUATE_CONFUSION_MATRIX_CLASS`
    `static java.lang.String` | `FOF_EVALUATE_CORRECT`
    `static java.lang.String` | `FOF_EVALUATE_CORRELATION`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_CLASS`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_F_MEASURE`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_FP_RATE`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_MCC`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_PRC_AREA`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_PRECISION`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_RECALL`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_ROC_AREA`
    `static java.lang.String` | `FOF_EVALUATE_DETAILED_ACCURACY_TP_RATE`
    `static java.lang.String` | `FOF_EVALUATE_INCORRECT`
    `static java.lang.String` | `FOF_EVALUATE_KAPPA`
    `static java.lang.String` | `FOF_EVALUATE_MAE`
    `static java.lang.String` | `FOF_EVALUATE_PCT_CORRECT`
    `static java.lang.String` | `FOF_EVALUATE_PCT_INCORRECT`
    `static java.lang.String` | `FOF_EVALUATE_PCT_UNCLASSIFIED`
    `static java.lang.String` | `FOF_EVALUATE_RAE`
    `static java.lang.String` | `FOF_EVALUATE_RMSE`
    `static java.lang.String` | `FOF_EVALUATE_RRSE`
    `static java.lang.String` | `FOF_EVALUATE_TOTAL_NUM_INSTANCES`
    `static java.lang.String` | `FOF_EVALUATE_UNCLASSIFIED`
    `static java.lang.String` | `FOF_EVALUATION_INFORMATION`
    `static java.lang.String` | `FOF_OPERATE_ERROR`
    `static java.lang.String` | `FOF_OPERATE_PREDICTED`
    `static java.lang.String` | `FOF_OPERATE_PROBABILITY`
    `static java.lang.String` | `FOF_TRAIN_PARAMETERS`
    `static java.lang.String` | `FOF_TRAIN_TRAINED_UNIT_INFO`
    `static java.lang.String` | `NORMAL`
    `static int` | `STATUS_TRAINED`
    `static int` | `STATUS_UNTRAINED`
    `static java.lang.String` | `V_CURRENT_STATE`
    `static java.lang.String` | `V_INITIAL_TRAINED_STATE`
    `static java.lang.String` | `VF_STATE_DATASET_TABLE_FORMAT`
    `static java.lang.String` | `VF_STATE_STATE`
    `static java.lang.String` | `WEIGHTED_AVG`

- - ### Field Detail

    - #### V_CURRENT_STATE

          static final java.lang.String V_CURRENT_STATE

      See Also:
        Constant Field Values

    - #### V_INITIAL_TRAINED_STATE

          static final java.lang.String V_INITIAL_TRAINED_STATE

      See Also:
        Constant Field Values

    - #### F_TRAIN

          static final java.lang.String F_TRAIN

      See Also:
        Constant Field Values

    - #### F_OPERATE

          static final java.lang.String F_OPERATE

      See Also:
        Constant Field Values

    - #### F_EVALUATE

          static final java.lang.String F_EVALUATE

      See Also:
        Constant Field Values

    - #### F_CROSS_VALIDATE

          static final java.lang.String F_CROSS_VALIDATE

      See Also:
        Constant Field Values

    - #### F_RESET

          static final java.lang.String F_RESET

      See Also:
        Constant Field Values

    - #### F_RESET_EVALUATION

          static final java.lang.String F_RESET_EVALUATION

      See Also:
        Constant Field Values

    - #### VF_STATE_STATE

          static final java.lang.String VF_STATE_STATE

      See Also:
        Constant Field Values

    - #### VF_STATE_DATASET_TABLE_FORMAT

          static final java.lang.String VF_STATE_DATASET_TABLE_FORMAT

      See Also:
        Constant Field Values

    - #### FOF_TRAIN_TRAINED_UNIT_INFO

          static final java.lang.String FOF_TRAIN_TRAINED_UNIT_INFO

      See Also:
        Constant Field Values

    - #### FOF_TRAIN_PARAMETERS

          static final java.lang.String FOF_TRAIN_PARAMETERS

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_CORRECT

          static final java.lang.String FOF_EVALUATE_CORRECT

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_PCT_CORRECT

          static final java.lang.String FOF_EVALUATE_PCT_CORRECT

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_INCORRECT

          static final java.lang.String FOF_EVALUATE_INCORRECT

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_PCT_INCORRECT

          static final java.lang.String FOF_EVALUATE_PCT_INCORRECT

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_KAPPA

          static final java.lang.String FOF_EVALUATE_KAPPA

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_CORRELATION

          static final java.lang.String FOF_EVALUATE_CORRELATION

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_MAE

          static final java.lang.String FOF_EVALUATE_MAE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_RMSE

          static final java.lang.String FOF_EVALUATE_RMSE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_RAE

          static final java.lang.String FOF_EVALUATE_RAE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_RRSE

          static final java.lang.String FOF_EVALUATE_RRSE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_TP_RATE

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_TP_RATE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_FP_RATE

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_FP_RATE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_PRECISION

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_PRECISION

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_RECALL

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_RECALL

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_F_MEASURE

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_F_MEASURE

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_MCC

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_MCC

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_ROC_AREA

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_ROC_AREA

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_PRC_AREA

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_PRC_AREA

      See Also:
        Constant Field Values

    - #### FOF_EVALUATION_INFORMATION

          static final java.lang.String FOF_EVALUATION_INFORMATION

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY_CLASS

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY_CLASS

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_CONFUSION_MATRIX_CLASS

          static final java.lang.String FOF_EVALUATE_CONFUSION_MATRIX_CLASS

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_UNCLASSIFIED

          static final java.lang.String FOF_EVALUATE_UNCLASSIFIED

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_PCT_UNCLASSIFIED

          static final java.lang.String FOF_EVALUATE_PCT_UNCLASSIFIED

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_TOTAL_NUM_INSTANCES

          static final java.lang.String FOF_EVALUATE_TOTAL_NUM_INSTANCES

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_DETAILED_ACCURACY

          static final java.lang.String FOF_EVALUATE_DETAILED_ACCURACY

      See Also:
        Constant Field Values

    - #### FOF_EVALUATE_CONFUSION_MATRIX

          static final java.lang.String FOF_EVALUATE_CONFUSION_MATRIX

      See Also:
        Constant Field Values

    - #### FOF_OPERATE_PREDICTED

          static final java.lang.String FOF_OPERATE_PREDICTED

      See Also:
        Constant Field Values

    - #### FOF_OPERATE_ERROR

          static final java.lang.String FOF_OPERATE_ERROR

      See Also:
        Constant Field Values

    - #### FOF_OPERATE_PROBABILITY

          static final java.lang.String FOF_OPERATE_PROBABILITY

      See Also:
        Constant Field Values

    - #### WEIGHTED_AVG

          static final java.lang.String WEIGHTED_AVG

      See Also:
        Constant Field Values

    - #### DATASET

          static final java.lang.String DATASET

      See Also:
        Constant Field Values

    - #### CV_SET

          static final java.lang.String CV_SET

      See Also:
        Constant Field Values

    - #### NORMAL

          static final java.lang.String NORMAL

      See Also:
        Constant Field Values

    - #### ABNORMAL

          static final java.lang.String ABNORMAL

      See Also:
        Constant Field Values

    - #### STATUS_UNTRAINED

          static final int STATUS_UNTRAINED

      See Also:
        Constant Field Values

    - #### STATUS_TRAINED

          static final int STATUS_TRAINED

      See Also:
        Constant Field Values